## rekonq 0.2.0

=== CMakeLists.txt ===
# Andrea Diamantini - adjam7 at gmail dot com
# rekonq project

PROJECT( rekonq )

# ==================================================================================
# Informations to update before to release this package.

# rekonq info
SET(REKONQ_MAJOR_VERSION "0")
SET(REKONQ_MINOR_VERSION "2")
SET(REKONQ_PATCH_VERSION "0")

SET(REKONQ_VERSION_STR
    "${REKONQ_MAJOR_VERSION}.${REKONQ_MINOR_VERSION}.${REKONQ_PATCH_VERSION}"
   )

SET(REKONQ_SITE "http://rekonq.sourceforge.net")

# ==================================================================================
# minimum cmake required

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

# ==================================================================================


SET(QT_MIN_VERSION 4.5.0)
FIND_PACKAGE(Qt4 REQUIRED)
SET(KDE_MIN_VERSION 4.2.0)
FIND_PACKAGE(KDE4 REQUIRED)

INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

# ==================================================================================
# Log messages

MESSAGE(STATUS "")
MESSAGE(STATUS "-----------------------------------------------------------------------")
MESSAGE(STATUS " rekonq ${REKONQ_VERSION_STR} dependencies results  <${REKONQ_SITE}>")
MESSAGE(STATUS "")

# Require shared libraries results.

# ----------------------------------- Qt -------------------------------------
SET(QT_VERS_STR
    "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}"
   )

IF(QT_FOUND)
    MESSAGE(STATUS " Qt library found...................... YES")
    MESSAGE(STATUS " Qt version ${QT_VERS_STR} found! ")
ELSE(QT_FOUND)
    MESSAGE(STATUS " Qt library found...................... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
    MESSAGE(STATUS " Qt website is at http://www.qtsoftware.com")
    MESSAGE(STATUS "")
ENDIF(QT_FOUND)

MESSAGE(STATUS "")

# ---------------------------------- KDE -------------------------------------
SET(KDE_VERS_STR
    "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}"
   )

IF(KDE4_FOUND)
    MESSAGE(STATUS " KDE Desktop Environment............... YES")
    MESSAGE(STATUS " KDE version ${KDE_VERS_STR} found! ")
ELSE(KDE4_FOUND)
    MESSAGE(STATUS " KDE Desktop Environment............... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " rekonq needs at least KDE ${KDE_MIN_VERSION}. Please install it and try compiling again.")
    MESSAGE(STATUS " KDE website is at http://www.kde.org")
    MESSAGE(STATUS "")
ENDIF(KDE4_FOUND)


##### FINAL RESULTS #####

IF(QT_FOUND AND KDE4_FOUND)
    MESSAGE(STATUS " rekonq will be compiled............... YES")
    SET(REKONQ_CAN_BE_COMPILED true)
ELSE(QT_FOUND AND KDE4_FOUND)
    MESSAGE(FATAL_ERROR " rekonq will NOT be compiled!")
    SET(REKONQ_CAN_BE_COMPILED false)
ENDIF(QT_FOUND AND KDE4_FOUND)

MESSAGE(STATUS "")
MESSAGE(STATUS "-----------------------------------------------------------------------")
MESSAGE(STATUS "")

# ===============================================================================

IF(REKONQ_CAN_BE_COMPILED)

    ADD_SUBDIRECTORY( src )
    ADD_SUBDIRECTORY( icons )
    ADD_SUBDIRECTORY( data )
    ADD_SUBDIRECTORY( i18n )

ENDIF(REKONQ_CAN_BE_COMPILED)

# ================================================================================

=== data/CMakeLists.txt ===
INSTALL( 
    FILES loading.mng
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

INSTALL( 
    FILES defaultbookmarks.xbel
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

INSTALL( 
    FILES rekonq.desktop 
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

INSTALL( 
    FILES notfound.html
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/htmls
)

INSTALL( 
    FILES webkit-icon.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

=== icons/CMakeLists.txt ===
# install standard icons
KDE4_INSTALL_ICONS( ${ICON_INSTALL_DIR} )

ADD_SUBDIRECTORY( pics )

=== src/CMakeLists.txt ===
### ------- SETTING REKONQ FILES..

SET( rekonq_SRCS
    networkaccessmanager.cpp
    autosaver.cpp 
    application.cpp 
    mainwindow.cpp 
    mainview.cpp
    tabbar.cpp
    cookiejar.cpp
    history.cpp
    historymenu.cpp
    bookmarks.cpp
    modelmenu.cpp 
    urlbar.cpp
    findbar.cpp
    settings.cpp
    webview.cpp 
    main.cpp
    sidepanel.cpp
    panelhistory.cpp
    lineedit.cpp
    stackedurlbar.cpp
    webpage.cpp
)


KDE4_ADD_UI_FILES( rekonq_SRCS
    password.ui
    proxy.ui
    settings_general.ui
    settings_fonts.ui
    settings_proxy.ui
    settings_webkit.ui
    cleardata.ui
 )

KDE4_ADD_KCFG_FILES( rekonq_SRCS rekonq.kcfgc )


### ------------- INCLUDING DIRECTORIES...

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)


### -------------- ADDING DEFINITIONS...

ADD_DEFINITIONS ( ${KDE4_DEFINITIONS} )

### --------------- ADDING EXECUTABLE...

KDE4_ADD_EXECUTABLE( rekonq ${rekonq_SRCS} )


### --------------- TARGETTING LINK LIBRARIES...

TARGET_LINK_LIBRARIES ( rekonq
                        ${QT_LIBRARIES} 
                        ${QT_QTNETWORK_LIBRARY}
                        ${QT_QTWEBKIT_LIBRARY} 
                        ${QT_QTUITOOLS_LIBRARY}
                        ${KDE4_KUTILS_LIBS}
                        ${KDE4_KDEUI_LIBS}
)


### ------------ INSTALL FILES...

INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL( FILES rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )

=== icons/pics/CMakeLists.txt ===
INSTALL( 
    FILES hi64-actions-download.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

## rekonq 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,9 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_MAJOR_VERSION "0")
-SET(REKONQ_MINOR_VERSION "2")
-SET(REKONQ_PATCH_VERSION "0")
+SET(REKONQ_VERSION "0.3.0" )
 
-SET(REKONQ_VERSION_STR
-    "${REKONQ_MAJOR_VERSION}.${REKONQ_MINOR_VERSION}.${REKONQ_PATCH_VERSION}"
-   )
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
 SET(REKONQ_SITE "http://rekonq.sourceforge.net")
 
@@ -27,7 +23,7 @@
 
 SET(QT_MIN_VERSION 4.5.0)
 FIND_PACKAGE(Qt4 REQUIRED)
-SET(KDE_MIN_VERSION 4.2.0)
+SET(KDE_MIN_VERSION 4.3.1)
 FIND_PACKAGE(KDE4 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
@@ -40,7 +36,7 @@
 
 MESSAGE(STATUS "")
 MESSAGE(STATUS "-----------------------------------------------------------------------")
-MESSAGE(STATUS " rekonq ${REKONQ_VERSION_STR} dependencies results  <${REKONQ_SITE}>")
+MESSAGE(STATUS " rekonq ${REKONQ_VERSION} dependencies results  <${REKONQ_SITE}>")
 MESSAGE(STATUS "")
 
 # Require shared libraries results.
@@ -101,6 +97,7 @@
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
     ADD_SUBDIRECTORY( data )
+    ADD_SUBDIRECTORY( docs )
     ADD_SUBDIRECTORY( i18n )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)

=== data/CMakeLists.txt ===
INSTALL( 
    FILES bg2.png bg.png bot.gif busywidget.gif closed.png loading.mng open.png tile.gif top.png webkit-icon.png category.png button.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

INSTALL( 
    FILES defaultbookmarks.xbel
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

INSTALL( 
    FILES rekonq.desktop 
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

INSTALL( 
    FILES notfound.html home.html
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/htmls
)

=== i18n/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
 
IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
        SET(catalogname rekonq)
 
        ADD_CUSTOM_TARGET(translations ALL)
 
        FILE(GLOB PO_FILES ${catalogname}*.po)
 
        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )
 
        ENDFOREACH(_poFile ${PO_FILES})
 
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
### ------- tests sub dir -------

ADD_SUBDIRECTORY( tests )


### ------- SETTING REKONQ FILES..

SET( rekonq_KDEINIT_SRCS
    newtabpage.cpp
    previewimage.cpp
    websnap.cpp
    networkaccessmanager.cpp
    autosaver.cpp 
    application.cpp 
    mainwindow.cpp 
    mainview.cpp
    tabbar.cpp
    cookiejar.cpp
    history.cpp
    historymodels.cpp
    bookmarks.cpp
    modelmenu.cpp 
    urlbar.cpp
    findbar.cpp
    settings.cpp
    webview.cpp
    sidepanel.cpp
    panelhistory.cpp
    lineedit.cpp
    webpage.cpp
    sessionmanager.cpp
    webpluginfactory.cpp
)


KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
    settings_general.ui
    settings_tabs.ui
    settings_fonts.ui
    settings_webkit.ui
    cleardata.ui
 )

KDE4_ADD_KCFG_FILES( rekonq_KDEINIT_SRCS rekonq.kcfgc )


### ------------- INCLUDING DIRECTORIES...

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)


### -------------- ADDING DEFINITIONS...

ADD_DEFINITIONS ( ${KDE4_DEFINITIONS} )

### --------------- ADDING EXECUTABLE...

KDE4_ADD_KDEINIT_EXECUTABLE( rekonq ${rekonq_KDEINIT_SRCS} main.cpp )


### --------------- TARGETTING LINK LIBRARIES...

TARGET_LINK_LIBRARIES ( kdeinit_rekonq
                        ${QT_LIBRARIES} 
                        ${QT_QTNETWORK_LIBRARY}
                        ${QT_QTWEBKIT_LIBRARY} 
                        ${KDE4_KUTILS_LIBS}
                        ${KDE4_KDEUI_LIBS}
                        ${KDE4_KIO_LIBS}
                        ${KDE4_KPARTS_LIBS}
)


### ------------ INSTALL FILES...

INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( TARGETS kdeinit_rekonq  ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

=== src/tests/CMakeLists.txt ===
##### ---------- General Settings ----------

SET( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_BINARY_DIR}/..
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)

##### ------------- tabbar test

kde4_add_unit_test( tabbar_test tabbar_test.cpp )

target_link_libraries( tabbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- mainview test

kde4_add_unit_test( mainview_test mainview_test.cpp )
 
target_link_libraries( mainview_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

############################################################

## rekonq 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.3.0" )
+SET(REKONQ_VERSION "0.4.0" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -21,9 +21,9 @@
 # ==================================================================================
 
 
-SET(QT_MIN_VERSION 4.5.0)
+SET(QT_MIN_VERSION 4.6.0)
 FIND_PACKAGE(Qt4 REQUIRED)
-SET(KDE_MIN_VERSION 4.3.1)
+SET(KDE_MIN_VERSION 4.4.0)
 FIND_PACKAGE(KDE4 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
@@ -53,7 +53,7 @@
     MESSAGE(STATUS " Qt library found...................... NO")
     MESSAGE(STATUS "")
     MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
-    MESSAGE(STATUS " Qt website is at http://www.qtsoftware.com")
+    MESSAGE(STATUS " Qt website is at http://qt.nokia.com")
     MESSAGE(STATUS "")
 ENDIF(QT_FOUND)
 
@@ -96,7 +96,6 @@
 
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
-    ADD_SUBDIRECTORY( data )
     ADD_SUBDIRECTORY( docs )
     ADD_SUBDIRECTORY( i18n )

=== docs/CMakeLists.txt ===
########### install files ###############
#
cmake_minimum_required(VERSION 2.6)
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR rekonq)

=== src/CMakeLists.txt ===
### ------- sub dirs -------

ADD_SUBDIRECTORY( data )
ADD_SUBDIRECTORY( tests )


### ------- SETTING REKONQ FILES..

SET( rekonq_KDEINIT_SRCS
    application.cpp 
    findbar.cpp
    mainview.cpp
    mainwindow.cpp 
    sessionmanager.cpp
    tabbar.cpp
    webpage.cpp
    webpluginfactory.cpp
    websnap.cpp
    webview.cpp
    webtab.cpp
    clicktoflash.cpp
    networkaccessmanager.cpp
    webinspectorpanel.cpp
    walletbar.cpp
    protocolhandler.cpp
    filterurljob.cpp
    #----------------------------------------
    history/autosaver.cpp 
    history/historymanager.cpp
    history/historymodels.cpp
    history/historypanel.cpp
    #----------------------------------------
    rekonqpage/newtabpage.cpp
    rekonqpage/previewselectorbar.cpp
    #----------------------------------------
    settings/settingsdialog.cpp
    #----------------------------------------
    bookmarks/bookmarksmanager.cpp
    bookmarks/bookmarkspanel.cpp
    bookmarks/bookmarkstreemodel.cpp
    bookmarks/bookmarksproxy.cpp
    #----------------------------------------
    adblock/adblockmanager.cpp
    adblock/adblocknetworkreply.cpp
    adblock/adblockrule.cpp
    #----------------------------------------
    urlbar/urlbar.cpp
    urlbar/lineedit.cpp
)


KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
    settings/settings_general.ui
    settings/settings_tabs.ui
    settings/settings_fonts.ui
    settings/settings_webkit.ui
    cleardata.ui
 )

KDE4_ADD_KCFG_FILES( rekonq_KDEINIT_SRCS rekonq.kcfgc )


### ------------- INCLUDING DIRECTORIES...

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/adblock
                        ${CMAKE_CURRENT_SOURCE_DIR}/urlbar
                        ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks
                        ${CMAKE_CURRENT_SOURCE_DIR}/history
                        ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                        ${CMAKE_CURRENT_SOURCE_DIR}/settings
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)


### -------------- ADDING DEFINITIONS...

ADD_DEFINITIONS ( ${KDE4_DEFINITIONS} )

### --------------- ADDING EXECUTABLE...

KDE4_ADD_KDEINIT_EXECUTABLE( rekonq ${rekonq_KDEINIT_SRCS} main.cpp )


### --------------- TARGETTING LINK LIBRARIES...

TARGET_LINK_LIBRARIES ( kdeinit_rekonq
                        ${QT_LIBRARIES} 
                        ${QT_QTWEBKIT_LIBRARY} 
                        ${KDE4_KDEWEBKIT_LIBS}
                        ${KDE4_KUTILS_LIBS}
                        ${KDE4_KDEUI_LIBS}
                        ${KDE4_KIO_LIBS}
                        ${KDE4_KPARTS_LIBS}
                        ${KDE4_THREADWEAVER_LIBRARIES}
)


### ------------ INSTALL FILES...

INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( TARGETS kdeinit_rekonq  ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

=== src/data/CMakeLists.txt ===
INSTALL( 
    FILES bg2.png bg.png bot.gif busywidget.gif closed.png loading.mng open.png tile.gif top.png webkit-icon.png category.png button.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

INSTALL( 
    FILES defaultbookmarks.xbel
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

INSTALL( 
    FILES rekonq.desktop 
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

INSTALL( 
    FILES rekonqinfo.html home.html
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/htmls
)

=== src/tests/CMakeLists.txt ===
##### ---------- General Settings ----------

SET( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_BINARY_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/..
                        ${CMAKE_CURRENT_SOURCE_DIR}/../adblock
                        ${CMAKE_CURRENT_SOURCE_DIR}/../bookmarks
                        ${CMAKE_CURRENT_SOURCE_DIR}/../history
                        ${CMAKE_CURRENT_SOURCE_DIR}/../rekonqpage
                        ${CMAKE_CURRENT_SOURCE_DIR}/../settings
                        ${CMAKE_CURRENT_SOURCE_DIR}/../urlbar
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)

##### ------------- findbar test

kde4_add_unit_test( findbar_test findbar_test.cpp )

target_link_libraries( findbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- mainwindow test

kde4_add_unit_test( mainwindow_test mainwindow_test.cpp )
 
target_link_libraries( mainwindow_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- mainview test

kde4_add_unit_test( mainview_test mainview_test.cpp )
 
target_link_libraries( mainview_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- networkaccessmanager test

kde4_add_unit_test( networkaccessmanager_test networkaccessmanager_test.cpp )
 
target_link_libraries( networkaccessmanager_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- protocolhandler test

kde4_add_unit_test( protocolhandler_test protocolhandler_test.cpp )
 
target_link_libraries( protocolhandler_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- sessionmanager test

kde4_add_unit_test( sessionmanager_test sessionmanager_test.cpp )
 
target_link_libraries( sessionmanager_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- tabbar test

kde4_add_unit_test( tabbar_test tabbar_test.cpp )

target_link_libraries( tabbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- walletbar test

kde4_add_unit_test( walletbar_test walletbar_test.cpp )

target_link_libraries( walletbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webpage test

kde4_add_unit_test( webpage_test webpage_test.cpp )

target_link_libraries( webpage_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- websnap test

kde4_add_unit_test( websnap_test websnap_test.cpp )

target_link_libraries( websnap_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webtab test

kde4_add_unit_test( webtab_test webtab_test.cpp )

target_link_libraries( webtab_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webview test

kde4_add_unit_test( webview_test webview_test.cpp )

target_link_libraries( webview_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

############################################################

=== debian/changelog ===
rekonq (0.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 12 Mar 2010 08:35:40 -0500

rekonq (0.3.90-0ubuntu4) lucid; urgency=low

  * Fixed debian/control again:
    - rekonq depends on kdebase-bin, not konq-plugins...

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 10 Mar 2010 23:58:12 +0100

rekonq (0.3.90-0ubuntu3) lucid; urgency=low

  * Fixed debian/control:
    - Recommends konq-plugins

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 10 Mar 2010 23:49:42 +0100

rekonq (0.3.90-0ubuntu2) lucid; urgency=low

  * Make the rekonq package provide www-browser (LP: #523141)
  * Bump Standards-Version to 3.8.4
  * Convert packaging to source format 3.0 (quilt), remove quilt build-dep,
    quilt addon in debian/rules, and README.source
  * Bump debhelper build-depend version to 7.3.16, and pkg-kde-tool to 0.5.0
    for the above

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 27 Feb 2010 14:25:06 -0500

rekonq (0.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Drop kubuntu_01_polish_config_dialog.diff
  * Renamed kubuntu_01_disable_tests.diff to
    kubuntu_01_disable_tests.diff

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 12 Feb 2010 16:42:44 -0500

rekonq (0.3.0-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:10 +0000

rekonq (0.3.0-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 09:00:03 +0000

rekonq (0.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Disable tests with kubuntu_02_disable_tests.diff. We have no interest
      in these and they cause an FTBFS inside the chroot.
  * Transition from kde.mk to dh --with-kde:
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde and quilt addons
  * Add README.source for quilt

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 18 Nov 2009 12:29:25 -0500

rekonq (0.2.90-0ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Add kubuntu_01_polish_config_dialog.diff to polish up the config dialog.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 17:15:00 -0500

rekonq (0.2.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 21 Aug 2009 16:00:05 -0400

rekonq (0.1.98-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #413169)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 13 Aug 2009 18:23:47 +0200

rekonq (0.1.95-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 03 Aug 2009 12:39:22 -0400

rekonq (0.1-0ubuntu2) karmic; urgency=low

  * Fixed debian/copyright:
    - Fixed authors list, as some copyrighted code is from Arora and
      Arora authors shouldn't be mentionned as upstream 

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 02 Jun 2009 19:18:26 +0200

rekonq (0.1-0ubuntu1) karmic; urgency=low

  * Initial release

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 2 May 2009 06:52:11 +0200

=== debian/control ===
Source: rekonq
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Anthony Mercatante <tonio@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), docbook2x, kdelibs5-dev
Standards-Version: 3.8.4
Homepage: http://rekonq.sourceforge.net/

Package: rekonq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-bin
Provides: www-browser
Description: KDE web browser based on Webkit
 Rekonq is a KDE web browser based off of Nokia's QtDemoBrowser, which is what
 the Arora web browser is based on. Rekonq's focus is to provide a
 QtWebKit-based web browser with superior KDE integration. Its aim is to
 embrace KDE technologies to have a fully-featured KDE web browser.
 .
 Features:
  - Tabbed browsing
  - Uses KDE download system for downloading files
  - Shares bookmarks with Konqueror
  - Supports proxies and anonymous browsing
  - Can inspect web pages

=== debian/watch ===
# watch control file for uscan
# You can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sf.net/rekonq/rekonq-([\d.]*)\.tar\.bz2

## rekonq 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.4.0" )
+SET(REKONQ_VERSION "0.5.0" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -16,21 +16,20 @@
 # ==================================================================================
 # minimum cmake required
 
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)
 
 # ==================================================================================
 
-
-SET(QT_MIN_VERSION 4.6.0)
-FIND_PACKAGE(Qt4 REQUIRED)
-SET(KDE_MIN_VERSION 4.4.0)
-FIND_PACKAGE(KDE4 REQUIRED)
+FIND_PACKAGE(Qt4 4.6.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
+FIND_PACKAGE(KDE4 4.4.0 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
 INCLUDE(FindPackageHandleStandardArgs)
 INCLUDE(KDE4Defaults)
 INCLUDE(MacroLibrary)
 
+FIND_PACKAGE(PkgConfig)
+PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0>=2.8.0)
 # ==================================================================================
 # Log messages
 
@@ -46,16 +45,16 @@
     "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}"
    )
 
-IF(QT_FOUND)
+IF(QT4_FOUND)
     MESSAGE(STATUS " Qt library found...................... YES")
     MESSAGE(STATUS " Qt version ${QT_VERS_STR} found! ")
-ELSE(QT_FOUND)
+ELSE(QT4_FOUND)
     MESSAGE(STATUS " Qt library found...................... NO")
     MESSAGE(STATUS "")
     MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
     MESSAGE(STATUS " Qt website is at http://qt.nokia.com")
     MESSAGE(STATUS "")
-ENDIF(QT_FOUND)
+ENDIF(QT4_FOUND)
 
 MESSAGE(STATUS "")
 
@@ -78,13 +77,13 @@
 
 ##### FINAL RESULTS #####
 
-IF(QT_FOUND AND KDE4_FOUND)
+IF(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
     MESSAGE(STATUS " rekonq will be compiled............... YES")
     SET(REKONQ_CAN_BE_COMPILED true)
-ELSE(QT_FOUND AND KDE4_FOUND)
+ELSE(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
     MESSAGE(FATAL_ERROR " rekonq will NOT be compiled!")
     SET(REKONQ_CAN_BE_COMPILED false)
-ENDIF(QT_FOUND AND KDE4_FOUND)
+ENDIF(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
 
 MESSAGE(STATUS "")
 MESSAGE(STATUS "-----------------------------------------------------------------------")

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
-########### install files ###############
-#
+########### install files ################
 cmake_minimum_required(VERSION 2.6)
 find_package(KDE4 REQUIRED)
 include (KDE4Defaults)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,52 +8,69 @@
 
 SET( rekonq_KDEINIT_SRCS
     application.cpp 
+    clicktoflash.cpp
+    filterurljob.cpp
     findbar.cpp
     mainview.cpp
     mainwindow.cpp 
+    networkaccessmanager.cpp
+    newtabpage.cpp
+    paneltreeview.cpp
+    previewselectorbar.cpp
+    protocolhandler.cpp
     sessionmanager.cpp
     tabbar.cpp
+    walletbar.cpp
+    webinspectorpanel.cpp
     webpage.cpp
     webpluginfactory.cpp
+    websslinfo.cpp
     websnap.cpp
     webview.cpp
     webtab.cpp
-    clicktoflash.cpp
-    networkaccessmanager.cpp
-    webinspectorpanel.cpp
-    walletbar.cpp
-    protocolhandler.cpp
-    filterurljob.cpp
+    searchengine.cpp
     #----------------------------------------
     history/autosaver.cpp 
     history/historymanager.cpp
     history/historymodels.cpp
     history/historypanel.cpp
     #----------------------------------------
-    rekonqpage/newtabpage.cpp
-    rekonqpage/previewselectorbar.cpp
-    #----------------------------------------
     settings/settingsdialog.cpp
+    settings/adblockwidget.cpp
+    settings/appearancewidget.cpp
+    settings/generalwidget.cpp
+    settings/tabswidget.cpp
+    settings/webkitwidget.cpp
+    settings/networkwidget.cpp
     #----------------------------------------
     bookmarks/bookmarksmanager.cpp
     bookmarks/bookmarkspanel.cpp
     bookmarks/bookmarkstreemodel.cpp
     bookmarks/bookmarksproxy.cpp
+    bookmarks/bookmarkcontextmenu.cpp
     #----------------------------------------
     adblock/adblockmanager.cpp
     adblock/adblocknetworkreply.cpp
     adblock/adblockrule.cpp
     #----------------------------------------
+    urlbar/stackedurlbar.cpp
     urlbar/urlbar.cpp
-    urlbar/lineedit.cpp
+    urlbar/completionwidget.cpp
+    urlbar/urlresolver.cpp
+    urlbar/listitem.cpp
+    urlbar/rsswidget.cpp
+    #----------------------------------------
+    analyzer/analyzerpanel.cpp
+    analyzer/networkanalyzer.cpp
 )
 
 
 KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
     settings/settings_general.ui
     settings/settings_tabs.ui
-    settings/settings_fonts.ui
+    settings/settings_appearance.ui
     settings/settings_webkit.ui
+    settings/settings_adblock.ui
     cleardata.ui
  )
 
@@ -69,9 +86,11 @@
                         ${CMAKE_CURRENT_SOURCE_DIR}/history
                         ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                         ${CMAKE_CURRENT_SOURCE_DIR}/settings
+                        ${CMAKE_CURRENT_SOURCE_DIR}/analyzer
                         ${CMAKE_CURRENT_BINARY_DIR}
                         ${KDE4_INCLUDES}
                         ${QT4_INCLUDES}
+                        ${GTK2_INCLUDE_DIRS}
 )
 
 
@@ -95,6 +114,7 @@
                         ${KDE4_KIO_LIBS}
                         ${KDE4_KPARTS_LIBS}
                         ${KDE4_THREADWEAVER_LIBRARIES}
+                        ${GTK2_LIBRARIES}
 )

=== src/data/CMakeLists.txt ===
INSTALL( 
    FILES 
    bg2.png bg.png tile.gif category.png button.png
    busywidget.gif loading.mng  
    webkit-icon.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

INSTALL( 
    FILES 
    defaultbookmarks.xbel
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

INSTALL( 
    FILES rekonq.desktop 
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

INSTALL( 
    FILES 
    rekonqinfo.html 
    home.html
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/htmls
)

=== src/tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
                         ${CMAKE_CURRENT_SOURCE_DIR}/../adblock
                         ${CMAKE_CURRENT_SOURCE_DIR}/../bookmarks
                         ${CMAKE_CURRENT_SOURCE_DIR}/../history
-                        ${CMAKE_CURRENT_SOURCE_DIR}/../rekonqpage
                         ${CMAKE_CURRENT_SOURCE_DIR}/../settings
                         ${CMAKE_CURRENT_SOURCE_DIR}/../urlbar
                         ${KDE4_INCLUDES}
@@ -68,6 +67,7 @@
     ${KDE4_KDECORE_LIBS}
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KDEWEBKIT_LIBS}
+    ${QT_QTNETWORK_LIBRARY}
     ${QT_QTTEST_LIBRARY}
 )
 
@@ -153,4 +153,16 @@
     ${QT_QTTEST_LIBRARY}
 )
 
+##### ------------- urlbar test
+
+kde4_add_unit_test( urlbar_test urlbar_test.cpp )
+
+target_link_libraries( urlbar_test
+    kdeinit_rekonq
+    ${KDE4_KDECORE_LIBS}
+    ${KDE4_KDEUI_LIBS}
+    ${KDE4_KDEWEBKIT_LIBS}
+    ${QT_QTTEST_LIBRARY}
+)
+
 ############################################################

=== debian/changelog ===
rekonq (0.5.0-2) unstable; urgency=medium

  * Fix CVE-2010-2536: multiple XSS vulnerabilities (Closes: #593300)
    - Add CVE-2010-2536_fix_xss_vulnerabilities.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 17 Aug 2010 11:16:04 +0200

rekonq (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.0, no changes needed.
  * Add "-Wl,--as-needed" to LDFLAGS.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 11 Jul 2010 12:51:01 +0200

rekonq (0.4.0-1) unstable; urgency=low

  * Upload to Debian. (Closes: #522396)
  * Set maintainer to Debian KDE Extras Team and add myself to uploaders.
  * Replace docbook manpage with one generated by kdemangen.pl.
  * Disable tests in debian/rules instead of patching the source.
    - Drop debian/patches
  * Enable parallel building.
  * Update debian/copyright.
  * Provide a debug package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 01:21:12 +0200

rekonq (0.4.0-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Register as x-www-browser alternative. (LP: #567211)
    - Add debian/rekonq.postinst and debian/rekonq.prerm

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 00:49:10 +0200

=== debian/control ===
Source: rekonq
Section: web
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               pkg-config,
               kdelibs5-dev,
               libgtk2.0-dev
Standards-Version: 3.9.0
Homepage: http://rekonq.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/rekonq/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-kde/kde-extras/rekonq/trunk/

Package: rekonq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdebase-bin
Provides: www-browser
Description: KDE web browser based on Webkit
 rekonq is a web browser based on WebKit and the KDE technologies.
 Its aim is to integrate nicely in the KDE desktop while providing
 a lightweight experience.
 .
 Non-exhaustive list of features :
  - shares bookmarks and network settings with konqueror
  - uses the kwallet password manager
  - integrates with the kget download manager
  - anonymous browsing mode

Package: rekonq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, rekonq (= ${binary:Version})
Recommends: kdelibs5-dbg
Description: debugging symbols for rekonq
 This package contains the debugging symbols associated with rekonq.
 They will automatically be used by gdb for debugging rekonq-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS += -Wl,--as-needed

%:
	dh --parallel --with kde $@

override_dh_strip:
	dh_strip --dbg-package=rekonq-dbg

override_dh_auto_test:
	# disable tests as they require a running X server

## rekonq 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Informations to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "0.5.0" )
+SET(REKONQ_VERSION "0.6.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/version.h )
 
@@ -20,16 +20,15 @@
 
 # ==================================================================================
 
-FIND_PACKAGE(Qt4 4.6.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
-FIND_PACKAGE(KDE4 4.4.0 REQUIRED)
+
+FIND_PACKAGE(Qt4 4.7.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)
+FIND_PACKAGE(KDE4 4.5.0 REQUIRED)
 
 INCLUDE(MacroOptionalFindPackage)
 INCLUDE(FindPackageHandleStandardArgs)
 INCLUDE(KDE4Defaults)
 INCLUDE(MacroLibrary)
 
-FIND_PACKAGE(PkgConfig)
-PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0>=2.8.0)
 # ==================================================================================
 # Log messages
 
@@ -77,13 +76,13 @@
 
 ##### FINAL RESULTS #####
 
-IF(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
+IF(QT4_FOUND AND KDE4_FOUND)
     MESSAGE(STATUS " rekonq will be compiled............... YES")
     SET(REKONQ_CAN_BE_COMPILED true)
-ELSE(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
+ELSE(QT4_FOUND AND KDE4_FOUND)
     MESSAGE(FATAL_ERROR " rekonq will NOT be compiled!")
     SET(REKONQ_CAN_BE_COMPILED false)
-ENDIF(QT4_FOUND AND KDE4_FOUND AND GTK2_FOUND)
+ENDIF(QT4_FOUND AND KDE4_FOUND)
 
 MESSAGE(STATUS "")
 MESSAGE(STATUS "-----------------------------------------------------------------------")

=== i18n/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
+
+
 FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
  
 IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
-	MESSAGE(
+        MESSAGE(
 "------
                  NOTE: msgfmt not found. Translations will *not* be installed
 ------")
@@ -32,3 +34,4 @@
  
 ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)
 
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,20 +7,25 @@
 ### ------- SETTING REKONQ FILES..
 
 SET( rekonq_KDEINIT_SRCS
-    application.cpp 
+    application.cpp
     clicktoflash.cpp
     filterurljob.cpp
     findbar.cpp
+    iconmanager.cpp
     mainview.cpp
-    mainwindow.cpp 
+    mainwindow.cpp
     networkaccessmanager.cpp
     newtabpage.cpp
+    notificationbar.cpp
     paneltreeview.cpp
     previewselectorbar.cpp
     protocolhandler.cpp
     sessionmanager.cpp
     tabbar.cpp
+    urlfilterproxymodel.cpp
+    urlpanel.cpp
     walletbar.cpp
+    webicon.cpp
     webinspectorpanel.cpp
     webpage.cpp
     webpluginfactory.cpp
@@ -28,9 +33,9 @@
     websnap.cpp
     webview.cpp
     webtab.cpp
-    searchengine.cpp
+    zoombar.cpp
     #----------------------------------------
-    history/autosaver.cpp 
+    history/autosaver.cpp
     history/historymanager.cpp
     history/historymodels.cpp
     history/historypanel.cpp
@@ -43,15 +48,19 @@
     settings/webkitwidget.cpp
     settings/networkwidget.cpp
     #----------------------------------------
-    bookmarks/bookmarksmanager.cpp
+    bookmarks/bookmarkprovider.cpp
     bookmarks/bookmarkspanel.cpp
     bookmarks/bookmarkstreemodel.cpp
-    bookmarks/bookmarksproxy.cpp
-    bookmarks/bookmarkcontextmenu.cpp
+    bookmarks/bookmarkscontextmenu.cpp
+    bookmarks/bookmarkstoolbar.cpp
+    bookmarks/bookmarkowner.cpp
     #----------------------------------------
+    adblock/adblockhostmatcher.cpp
     adblock/adblockmanager.cpp
     adblock/adblocknetworkreply.cpp
     adblock/adblockrule.cpp
+    adblock/adblockrulefallbackimpl.cpp
+    adblock/adblockruletextmatchimpl.cpp
     #----------------------------------------
     urlbar/stackedurlbar.cpp
     urlbar/urlbar.cpp
@@ -59,9 +68,16 @@
     urlbar/urlresolver.cpp
     urlbar/listitem.cpp
     urlbar/rsswidget.cpp
+    urlbar/bookmarkwidget.cpp
     #----------------------------------------
     analyzer/analyzerpanel.cpp
     analyzer/networkanalyzer.cpp
+    #----------------------------------------
+    search/searchengine.cpp
+    search/opensearchwriter.cpp
+    search/opensearchreader.cpp
+    search/opensearchmanager.cpp
+    search/opensearchengine.cpp
 )
 
 
@@ -87,10 +103,10 @@
                         ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                         ${CMAKE_CURRENT_SOURCE_DIR}/settings
                         ${CMAKE_CURRENT_SOURCE_DIR}/analyzer
+                        ${CMAKE_CURRENT_SOURCE_DIR}/search
                         ${CMAKE_CURRENT_BINARY_DIR}
                         ${KDE4_INCLUDES}
                         ${QT4_INCLUDES}
-                        ${GTK2_INCLUDE_DIRS}
 )
 
 
@@ -106,15 +122,15 @@
 ### --------------- TARGETTING LINK LIBRARIES...
 
 TARGET_LINK_LIBRARIES ( kdeinit_rekonq
-                        ${QT_LIBRARIES} 
-                        ${QT_QTWEBKIT_LIBRARY} 
+                        ${QT_LIBRARIES}
+                        ${QT_QTSCRIPT_LIBRARY}
+                        ${QT_QTWEBKIT_LIBRARY}
                         ${KDE4_KDEWEBKIT_LIBS}
                         ${KDE4_KUTILS_LIBS}
                         ${KDE4_KDEUI_LIBS}
                         ${KDE4_KIO_LIBS}
                         ${KDE4_KPARTS_LIBS}
                         ${KDE4_THREADWEAVER_LIBRARIES}
-                        ${GTK2_LIBRARIES}
 )
 
 
@@ -122,4 +138,6 @@
 
 INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
 INSTALL( TARGETS kdeinit_rekonq  ${INSTALL_TARGETS_DEFAULT_ARGS} )
+
 INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
+INSTALL( FILES rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )

=== src/data/CMakeLists.txt ===
# image files
INSTALL( 
    FILES 
    bg2.png bg.png tile.gif category.png button.png
    busywidget.gif loading.mng  
    webkit-icon.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

# default bookmarks
INSTALL( 
    FILES 
    defaultbookmarks.xbel
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

# .desktop file
INSTALL( 
    FILES rekonq.desktop 
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

# htmls
INSTALL( 
    FILES 
    rekonqinfo.html 
    home.html
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/htmls
)

# opensearch engines
INSTALL( 
    FILES 
    google.xml
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/opensearch
)

=== debian/changelog ===
rekonq (0.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Drop kubuntu_07_fix_opensearch.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 05 Oct 2010 22:28:27 +0530

rekonq (0.6.0-0ubuntu2) maverick; urgency=low

  * Add kubuntu_07_fix_opensearch.diff to fix opensearch engine when 
    there is no network connection (LP: #647332)

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 03 Oct 2010 16:25:22 +0530

rekonq (0.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Remove kubuntu_01_do_not_depend_on_gtk.diff, kubuntu_02_apturl.diff
    kubuntu_03_desktop_generic_name.diff from debian/patches

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 13 Sep 2010 18:33:04 +0530

rekonq (0.5.80-0ubuntu1) maverick; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Refresh kubuntu_06_restricted_install.diff
    - Disable kubuntu_01_do_not_depend_on_gtk.diff, kubuntu_02_apturl.diff,
      kubuntu_03_desktop_generic_name.diff,applied upstream

  [ Jonathan Riddell ]
  * Add fetch_translations target to debian/rules to download translations
  * Include translations in po/

 -- Rohan Garg <rohangarg@ubuntu.com>  Sun, 22 Aug 2010 20:42:35 +0530

rekonq (0.5.0-1ubuntu6) maverick; urgency=low

  * Add kubuntu_06_restricted_install.diff to prompt for installing flash.
  * Apply patches as advertised in 0.5.0-1ubuntu4 instead of the accidentally
    added patch debian-changes-0.5.0-1ubuntu4.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 03 Aug 2010 14:59:47 +0200

rekonq (0.5.0-1ubuntu5) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-network_rekonq

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 18:07:04 +0100

rekonq (0.5.0-1ubuntu4) maverick; urgency=low

  * Add kubuntu_04_no_default_bookmarks.diff for no bookmarks by default
  * Add kubuntu_05_default_homepages.diff to set more friendly default
    homepages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 13:51:34 +0100

rekonq (0.5.0-1ubuntu3) maverick; urgency=low

  * Add kubuntu_03_desktop_generic_name.diff to make generic name
    sensible

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 13:13:37 +0100

rekonq (0.5.0-1ubuntu2) maverick; urgency=low

  * Rebuild for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 22 Jul 2010 16:47:28 +0100

rekonq (0.5.0-1ubuntu1) maverick; urgency=low

  * Merge from debian,remaining changes
    - Keep kubuntu_01_do_not_depend_on_gtk.diff and kubuntu_02_apturl.diff

 -- Rohan Garg <rohangarg@ubuntu.com>  Sat, 17 Jul 2010 18:29:10 +0530

rekonq (0.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Remove kubuntu_01_flashplugin_workaround.diff
    - Add kubuntu_01_do_not_depend_on_gtk.diff, in this version Rekonq depends
      on libgtk for the flashplugins workaround, no need with the
      latest qtwebkit
    - Add kubuntu_02_apturl.diff for apturl support (thanks to Rohan Garg)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 21:56:23 +0200

rekonq (0.4.95-0ubuntu3) maverick; urgency=low

  * Add kubuntu_01_flashplugin_workaround.diff from upstream, fixes
    crashes with Flash

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Jun 2010 13:37:47 +0100

rekonq (0.4.95-0ubuntu2) maverick; urgency=low

  * No change upload to get translation templates built
    now rekonq is in main

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 22 Jun 2010 12:38:52 +0100

rekonq (0.4.95-0ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, no remaining changes.
  * New upstream beta.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 10 Jun 2010 11:54:39 +0200

rekonq (0.4.90-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add libqt4-webkit-dev as a build-depend now that it's no longer a part of
    libqt4-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 May 2010 21:33:32 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: rekonq
 Section: web
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>
 Build-Depends: debhelper (>= 7.3.16~),
                pkg-kde-tools (>= 0.5.0~),
                cmake,
-               pkg-config,
-               kdelibs5-dev,
-               libgtk2.0-dev
+               kdelibs5-dev
 Standards-Version: 3.9.0
 Homepage: http://rekonq.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/rekonq/trunk
@@ -29,7 +28,7 @@
   - integrates with the kget download manager
   - anonymous browsing mode
 
-Package: rekonq-dbg
+Package: rekonq-dbg                    
 Section: debug
 Priority: extra
 Architecture: any
